Extending Qt Creator Manual | BaseProjectWizardDialog

Extending Qt Creator Manual 4.5.2

# BaseProjectWizardDialog Class

(ProjectExplorer::BaseProjectWizardDialog)

The BaseProjectWizardDialog class is the base class for project wizards. More...

Header: | #include <BaseProjectWizardDialog>
Inherits: | Core::BaseFileWizard

- List of all members, including inherited members

## Public Functions

| BaseProjectWizardDialog(const Core::BaseFileWizardFactory *factory, QWidget *parent, const Core::WizardDialogParameters &parameters)
| ~BaseProjectWizardDialog() override
void | addExtensionPages(const QList<QWizardPage *> &wizardPageList)
QString | path() const
QString | projectName() const
void | setForceSubProject(bool force)
void | setIntroDescription(const QString &d)
void | setPath(const QString &path)
void | setProjectDirectories(const QStringList &directories)
void | setProjectList(const QStringList &projectList)
void | setProjectName(const QString &name)

- 4 public functions inherited from Core::BaseFileWizard
- 10 public functions inherited from Utils::Wizard

## Signals

void | projectParametersChanged(const QString &projectName, const QString &path)

## Static Public Members

QString | uniqueProjectName(const QString &path)

## Protected Functions

| BaseProjectWizardDialog(const Core::BaseFileWizardFactory *factory, Utils::ProjectIntroPage *introPage, int introId, QWidget *parent, const Core::WizardDialogParameters &parameters)
Utils::ProjectIntroPage * | introPage() const
QSet<Core::Id> | requiredFeatures() const
Core::Id | selectedPlatform() const
void | setRequiredFeatures(const QSet<Core::Id> &featureSet)
void | setSelectedPlatform(Core::Id platform)

- 3 protected functions inherited from Utils::Wizard

### Additional Inherited Members

- 1 property inherited from Utils::Wizard

## Detailed Description

The BaseProjectWizardDialog class is the base class for project wizards.

Presents the introductory page and takes care of setting the folder chosen as default projects' folder should the user wish to do that.

## Member Function Documentation

### `[protected]` BaseProjectWizardDialog::BaseProjectWizardDialog(const Core::BaseFileWizardFactory *factory, Utils::ProjectIntroPage *introPage, int introId, QWidget *parent, const Core::WizardDialogParameters &parameters)

Default constructs an instance of BaseProjectWizardDialog.

### BaseProjectWizardDialog::BaseProjectWizardDialog(const Core::BaseFileWizardFactory *factory, QWidget *parent, const Core::WizardDialogParameters &parameters)

Default constructs an instance of BaseProjectWizardDialog.

### BaseProjectWizardDialog::~BaseProjectWizardDialog()

Destroys the instance of BaseProjectWizardDialog.

### void BaseProjectWizardDialog::addExtensionPages(const QList<QWizardPage *> &wizardPageList)

### `[protected]` Utils::ProjectIntroPage *BaseProjectWizardDialog::introPage() const

### QString BaseProjectWizardDialog::path() const

See also setPath().

### QString BaseProjectWizardDialog::projectName() const

See also setProjectName().

### `[signal]` void BaseProjectWizardDialog::projectParametersChanged(const QString &projectName, const QString &path)

### `[protected]` QSet<Core::Id> BaseProjectWizardDialog::requiredFeatures() const

See also setRequiredFeatures().

### `[protected]` Core::Id BaseProjectWizardDialog::selectedPlatform() const

See also setSelectedPlatform().

### void BaseProjectWizardDialog::setForceSubProject(bool force)

### void BaseProjectWizardDialog::setIntroDescription(const QString &d)

### void BaseProjectWizardDialog::setPath(const QString &path)

See also path().

### void BaseProjectWizardDialog::setProjectDirectories(const QStringList &directories)

### void BaseProjectWizardDialog::setProjectList(const QStringList &projectList)

### void BaseProjectWizardDialog::setProjectName(const QString &name)

See also projectName().

### `[protected]` void BaseProjectWizardDialog::setRequiredFeatures(const QSet<Core::Id> &featureSet)

See also requiredFeatures().

### `[protected]` void BaseProjectWizardDialog::setSelectedPlatform(Core::Id platform)

See also selectedPlatform().

### `[static]` QString BaseProjectWizardDialog::uniqueProjectName(const QString &path)